set serveroutput on;

-- delete records from exisiting tables...
delete from inventory_fact;
delete from date_dim;
delete from trans_type_dim;
delete from cust_vendor_dim;
delete from item_master_dim;
delete from branch_plant_dim;
delete from company_dim;
delete from addr_cat_code1;
delete from addr_cat_code2;
delete from item_cat_code1;
delete from item_cat_code2;
delete from zip_codes;

-- drop existing sequences...
drop sequence inventory_seq;
drop sequence date_seq;
drop sequence branch_plant_seq;
drop sequence cust_vendor_seq;
drop sequence item_master_seq;
drop sequence company_seq;
drop sequence addr_cat_code1_seq;
drop sequence addr_cat_code2_seq;
drop sequence item_cat_code1_seq;
drop sequence item_cat_code2_seq;

-- create sequences to be used as keys for specific dimension tables...
create sequence inventory_seq   start with 1 increment by 1;
create sequence date_seq           start with 1 increment by 1;
create sequence branch_plant_seq   start with 1 increment by 1;
create sequence cust_vendor_seq    start with 1 increment by 1;
create sequence item_master_seq    start with 1 increment by 1;
create sequence company_seq        start with 1 increment by 1;
create sequence addr_cat_code1_seq start with 1 increment by 1;
create sequence addr_cat_code2_seq start with 1 increment by 1;
create sequence item_cat_code1_seq start with 1 increment by 1;
create sequence item_cat_code2_seq start with 1 increment by 1;

exec pr_create_zipcodes;
-- create 5 addr 1 cat codes, 6 addr2 cat codes, 7 item1 cc, 8 item2 cc
exec pr_create_catcodes(5,6,7,8);
exec pr_create_transtype;
-- create 20 customers
exec pr_create_custvendor(20);
-- create 20 parts
exec pr_create_items(20);
-- create 5 companies with 4 branches each, max .25 carrying cost, 07 cost method
exec pr_create_companies(5,4,0.25,'07');
-- create a weekly date pattern starting 1/3/2005 for 104 weeks.
exec pr_create_dates(3,2005003,104);

--
-- The first run shows the estimes
exec pr_create_invfact(1,9000,.01,.01,.01);
-- The second run inserts the rows.
exec pr_create_invfact(2,9000,.01,.01,.01);

-- check number of records ...
select count(*) from inventory_fact;
select count(*) from date_dim;
select count(*) from trans_type_dim;
select count(*) from cust_vendor_dim;
select count(*) from item_master_dim;
select count(*) from branch_plant_dim;
select count(*) from company_dim;
select count(*) from addr_cat_code1;
select count(*) from addr_cat_code2;
select count(*) from item_cat_code1;
select count(*) from item_cat_code2;
select count(*) from zip_codes;
